flutter_launcher_icons:
  # Das Haupt-Bild (jetzt als PNG für maximale Kompatibilität)
  image_path: "assets/icon/app_icon.png"

  # Android Konfiguration
  android: "launcher_icon"
  # Optional: Wenn du einen eigenen Hintergrund für Android willst (Adaptive Icons)
  adaptive_icon_background: "assets/icon/app_icon_bg.png"
  adaptive_icon_foreground: "assets/icon/app_icon_fg.png"

  # MacOS Konfiguration
  macos:
    generate: true
    image_path: "assets/icon/app_icon_fg.png"

# IOS: Wichtig - iOS Icons dürfen KEINE Transparenz haben!
  ios: true